import * as React from 'react';
import {observer} from "mobx-react-lite";
import {DashboardComponentModel} from "../../../../stores/DashboardComponentStore";
import {LabLayoutStore} from "../../../../stores/LabLayoutStore";
import {SelectField} from "@rx-suite/ui";

export type LabLayoutParametersProps = {
    component: DashboardComponentModel
}

export const LabLayoutParameters: React.FunctionComponent<LabLayoutParametersProps> = observer(({component}) => {
    const value = component.viewModel.parameters["lab_layout_id"];

    React.useEffect(() => {
        LabLayoutStore.getAll();
    }, []);

    return (<React.Fragment>
        <SelectField
            onChange={component.handleSelectChange}
            label={"Layout"}
            options={LabLayoutStore.models.map(layout => {
                return {label: layout.name, value: layout.id};
            })}
            name={"parameters.lab_layout_id"}
            value={value}
        />
    </React.Fragment>)
});