# == Schema Information
#
# Table name: lab_layout_components
#
#  id                :bigint           not null, primary key
#  alert_after       :integer
#  aspect_ratio      :float
#  component_type    :string
#  height            :float
#  machine_group_ids :string
#  machine_sn        :string
#  name              :string
#  width             :float
#  x                 :float
#  y                 :float
#  z_index           :decimal(, )
#  created_at        :datetime         not null
#  updated_at        :datetime         not null
#  lab_layout_id     :bigint
#
# Indexes
#
#  index_lab_layout_components_on_lab_layout_id  (lab_layout_id)
#
# Foreign Keys
#
#  fk_rails_...  (lab_layout_id => lab_layouts.id) ON DELETE => cascade ON UPDATE => cascade
#
class LabLayoutComponent < ApplicationRecord
  belongs_to :lab_layout
  has_one_attached :component_image

  class InvalidComponentType < StandardError; end

  def image_url
    return nil unless component_image&.attached?
    "/api/lab_layout_components/#{id}/image"
  end

  def should_broadcast?
    false
  end
end
